Package: org.codehaus.groovy.grails.plugins.web.taglib

## [Groovy] Class PluginTagLib

- org.codehaus.groovy.grails.plugins.web.taglib.PluginTagLib

- Tags to inspect available plugins.

  Authors:
    Graeme Rocher
  Since:
    1.1

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `groovy.lang.Closure` | `isAvailable` Checks whether a particular plugin exists and executes the body if it does.
    `groovy.lang.Closure` | `isNotAvailable` Checks whether a particular plugin does not exist and executes the body if it does.
    `static java.lang.Object` | `namespace`
    `groovy.lang.Closure` | `path` Gets the path to a particular plugin.
    `GrailsPluginManager` | `pluginManager`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### groovy.lang.Closure isAvailable

      Checks whether a particular plugin exists and executes the body if it does.
      eg. <plugin:isAvailable name="hibernate">print me</plugin:isAvailable>

      attr:
        name REQUIRED the plugin name
      attr:
        version the plugin version

    - #### groovy.lang.Closure isNotAvailable

      Checks whether a particular plugin does not exist and executes the body if it does.
      eg. <plugin:isNotAvailable name="hibernate">print me</plugin:isNotAvailable>

      attr:
        name REQUIRED the plugin name
      attr:
        version the plugin version

    - #### static java.lang.Object namespace

    - #### groovy.lang.Closure path

      Gets the path to a particular plugin.
      eg. <plugin:path name="myPlugin" />

      attr:
        name REQUIRED the plugin name

    - #### GrailsPluginManager pluginManager